Subject: Re: bug#46979: Allow setting Man-default-entry via Local Variables

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Tue, 09 Mar 2021 22:24:20 +0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

EZ> OK, but why do you insist on doing this via file-local variables?

Because certainly the people who make the alists will probably think
that crontab(1) is the man page people editing crontabs want to see,
but individual programmer Williams wants to see crontab(5) usually.
But wait! Not always. For his other cron page he more often wants to see
cron(8), and even crontab(1posix). So you never know. And then again for
his Nurdenburg project he often wants to see the flippant(1) man page,
except for his flursburg file, where he often needs to check the
fartsburg(7) man page. I.e., Local Variables are the only way to cater
to all his needs. Sure, he could make lists of what filenames should
match what man pages. But he also wants the flexibility of Local Variables.